Payment Method Setups
Create a new setup request
POST
/
customers
/
{customer_id}
/
setups
Create a new setup request
curl --request POST \
--url https://commerce1.on-hellgate.dev/customers/{customer_id}/setups \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "SEPA_MANDATE",
"data": {}
}
'import requests
url = "https://commerce1.on-hellgate.dev/customers/{customer_id}/setups"
payload = {
"type": "SEPA_MANDATE",
"data": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'SEPA_MANDATE', data: {}})
};
fetch('https://commerce1.on-hellgate.dev/customers/{customer_id}/setups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"data": {},
"external_id": "<string>",
"failure_details": [
{
"classifier": "<string>",
"message": "<string>"
}
],
"payment_method": {
"token": "<string>"
}
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}Authorizations
Headers
Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).
Path Parameters
Customer ID
Response
Success
Available options:
IN_PROGRESS, SUCCESS, FAILURE Available options:
CARD, SEPA_MANDATE, ACH_MANDATE Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create a new setup request
